POST
/api/integrations/edr/intuneCreate EDR Intune Integration
Creates a new EDR Intune integration for the authenticated account.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
client_idstringrequired
The Azure application client id
enabledbooleanoptional
Indicates whether the integration is enabled
groupsarray<string>required
The Groups this integrations applies to
last_synced_intervalintegerrequired
The devices last sync requirement interval in hours. Minimum value is 24 hours.
secretstringrequired
The Azure application client secret
sync_intervalintegeroptional
How often devices are synced from the integration, in minutes. Minimum value is 1 minute, maximum is 1440 minutes.
tenant_idstringrequired
The Azure tenant id
200Integration created successfully. Returns the created integration.
account_idstringrequired
The identifier of the account this integration belongs to.
client_idstringrequired
The Azure application client id
created_atstringrequired
Timestamp of when the integration was created.
created_bystringrequired
The user id that created the integration
enabledbooleanrequired
Indicates whether the integration is enabled
groupsarray<object>required
List of groups
idintegerrequired
The unique numeric identifier for the integration.
last_synced_atstringrequired
Timestamp of when the integration was last synced.
last_synced_intervalintegerrequired
The devices last sync requirement interval in hours.
sync_intervalintegerrequired
How often devices are synced from the integration, in minutes.
tenant_idstringrequired
The Azure tenant id
updated_atstringrequired
Timestamp of when the integration was last updated.
400Bad Request (e.g., invalid JSON, missing required fields, validation error).
messagestringoptional
A human-readable error message.
401Unauthorized (e.g., missing or invalid authentication token).
messagestringoptional
A human-readable error message.
500Internal Server Error.
messagestringoptional
A human-readable error message.
Error handling
A 400 is returned: Bad Request (e.g., invalid JSON, missing required fields, validation error). A 401 is returned: Unauthorized (e.g., missing or invalid authentication token). A 500 is returned: Internal Server Error.